clear; clc;
% skript pre vypocet prvej vlastnej ohybovej freekvencie viacvrstveho  
% nosnika pre okrajove podmienky volny - volny 
a=1;            % dlzka [m]
b=2;            % sirka [m]
% zadavat ako riadok
t=[1,1,2,4];    % tloustky [m] 
rho=[1,1,1,1];      % hustoty [kgm-3]
E=[1,1,1,2];        % moduly E [Pa]

%%
% funkcia: suradnice stredov (z-tova poloha tazisk jednotlovych vrstiev)
z=stredy(t);
% funkcia: suradnica neutralnej osi
zn=zneutr(t,z,E);
% funkcia: efektivna ohybova tuhost
D=Deff(b,E,t,z,zn);
% funkcia: hmotnost na jednotku dlzky 
rhoA=rhoA(rho,b,t);
%%
% frekvencia [Hz]
frekv=omega(a,D,rhoA);

% frekvencia korigovana pre pomer hrubky ku dlzke nosnika t/L < 1/20
tl=sum(t);
kor=1+6.585*(tl/a)^2;
frekv_kor=frekv/sqrt(kor);

